diff --git a/lib/pkg_info.cygpart b/lib/pkg_info.cygpart
index b9022d73..37cfa676 100644
--- a/lib/pkg_info.cygpart
+++ b/lib/pkg_info.cygpart
@@ -81,7 +81,7 @@ __list_deps() {
 	local mldep mldir mllib
 	local phpdep phpmoddir pldep pldirs plver
 	local pydep pydirs pyexts pyscr pysite pyver
-	local rbdep rbdirs gemdir gemextdir gemspecdir
+	local rbdep rbdirs rbver gemdir gemextdir gemspecdir
 	local tcldep tclpkgs vapidep vapidir
 	local tcgcclibdir tcgccsysroot
 	local dlltool="dlltool"
@@ -599,6 +599,19 @@ for suffix, mode, type in imp.get_suffixes(): print(suffix)')
 		done
 	fi
 
+	rbver=( $(find "${@//^_^/ }" -path "usr/*/ruby/vendor_ruby/[0-9].[0-9]/*" \
+	        | sed -E 's!usr/.*/ruby/vendor_ruby/([0-9]).([0-9])/.*!ruby_\1\2!' \
+	        | sort -ru) )
+	if [ "${#rbver[@]}" -gt 1 ]
+	then
+		warning "More than one targeted Ruby version: ${rbver[*]},"
+		warning "using only the latest as dependency: ${rbver[0]}."
+	fi
+	if [ "${#rbver[@]}" -gt 0 ] && [ "${PN}" != "ruby" ]
+	then
+		echo "${rbver[0]}"
+	fi
+
 	if [ $(find "${@//^_^/ }" -path 'usr/share/doc/*' -prune \
 		${deps_prune} \
 		-o -path 'usr/share/help/*' -prune \
@@ -637,6 +650,7 @@ for suffix, mode, type in imp.get_suffixes(): print(suffix)')
 	alldeps+=" "$(find "${@//^_^/ }" -type l | xargs -r readlink -f)
 
 	# add perl5_0xy requirement if linked with cygperl5_xy.dll
+	# add ruby_xy requirement if linked with cygrubyxy0.dll
 	for dll in $(echo ${alldeps} | tr \\n ' ' ) ; do
 	    case "${dll##*/}" in
 		cygperl5_[0-9][0-9].dll)
@@ -644,6 +658,11 @@ for suffix, mode, type in imp.get_suffixes(): print(suffix)')
 		    plver="${plver%%.dll}"
 		    echo "perl5_0${plver}"
 		    ;;
+		cygruby[0-9][0-9]0.dll)
+		    rbver="${dll##*cygruby}"
+		    rbver="${rbver%%0.dll}"
+		    echo "ruby_${rbver}"
+		    ;;
 	    esac
 	done
 
